
QGIS Application - Bug report #18497

crash at processing....qgis:snapgeometries

2018-03-20 09:54 PM - Ralf Koenig

Status: Closed

Priority: Normal

Assignee: Julien Cabieces

Category: Processing/QGIS

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26385

Description

1) I used 2 input polygon-layers (shp-datasource)

2.1) with each: “processing ...native:fixgeometries”

2.2) with each result: “ processing ... qgis:checkvalidity”

2.3) with resulting valid layers: save as shp

2.4) with each layer: “processing....qgis:snapgeometries” (one layer as input / other as reference-layer, tolerance=0.3, behaviour: prefer

nodes,add vertices; temporary layer) -> crash at 1%

Report:

Crash ID: b4b7a7ecd21274bc55969d96468662ce0cc371f4

Stack Trace

QgsCurvePolygon::vertexAt :

QgsGeometryCollection::vertexAt :

QgsGeometrySnapper::snapGeometry :

QgsGeometrySnapper::snapGeometry :

PyInit__analysis :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string,std::allocator >::shrink_to_fit :

std::_String_alloc > >::_Get_data :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

PyInit__core :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: 001c80b0c3
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

Associated revisions

Revision abda6c42 - 2019-01-24 10:55 AM - Julien Cabieces

fixes #18497 : Correct line size method when snapping multipolygon

Revision 4d335886 - 2019-01-28 07:29 PM - Julien Cabieces

fixes #18497 : Correct line size method when snapping multipolygon

History

#1 - 2018-03-20 10:15 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you please share the data files used?

#2 - 2018-03-21 05:55 AM - Ralf Koenig

- File data.zip added

reduced dataset - crash now at 12 % progress

#3 - 2018-03-21 11:33 PM - Nyall Dawson

- Status changed from Feedback to Open

#4 - 2018-06-25 01:02 PM - Nino Formica

I confirm this issue on QGIS 3.2.0.

With someone layer (polygons) QGIS crash; with others it's ok.

It would seem that it depends (crash or not) on layer size or features regularity.

In same cases the solution is to reduce tollerance value.

#5 - 2019-01-24 10:24 AM - Julien Cabieces

- Assignee changed from Victor Olaya to Julien Cabieces

- Pull Request or Patch supplied changed from No to Yes
Proposed PR : https://github.com/qgis/QGIS/pull/8966

#6 - 2019-01-24 10:54 AM - Julien Cabieces

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|abda6c42ff99782c385452b78e8cdceeea8df02c.

#7 - 2019-01-27 07:13 PM - Ralf Koenig

Tested it in the nightly build. 

I'm very thankful for fixing it !!!!! GREAT !!!!

Files

data.zip 4.48 MB 2018-03-21 Ralf Koenig
